@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
@import url("https://use.typekit.net/lyc3chj.css");

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    font-family: 'Ubuntu', sans-serif;
}

html{
    font-size: 62.5%;
}

body{
    width: 100%;
    height: 100vh;
    overflow-x: hidden;
    background-color: #252422;
    color: #ECE5F0;
}

header{
    margin-top: 20px;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 1rem 9%;
    background-color: transparent;
    filter: drop-shadow(10px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
    word-spacing: 10px;
    font-size: 1.5rem;
}
/* link colour and dec */
a:link {
    color: #ECE5F0;
    background-color: transparent;
    text-decoration: none;
}

a:visited {
    color: #ECE5F0;
    background-color: transparent;
    text-decoration: none;
}

a:hover {
    color: #F4B860;
    background-color: transparent;
    text-decoration: underline;
}

a:active {
    color: #ECE5F0;
    background-color: transparent;
    text-decoration: underline;
}

.logo{
    font-size: 3rem;
    color: #F4B860;
    font-weight: 800;
    cursor: pointer;
    transition: 0.5s ease;
}

.logo:hover{
    font-size: 2.5rem;
    color: #BB4D00;
    /*margin-left: 4rem;*/
    font-weight: 700;
    transition: 0.3s ease;
    border-bottom: 3px solid transparent;
}

nav a:hover,
nav a.active{
    color: #F4B860;
    border-bottom: 3px solid #F4B860;
}

/*
@media(max-width:995px){
    nav{
        position: absolute;
        display: none;
        top: 0;
        right: 0;
        width: 40%;
        border-left: 3px solid #F4B860;
        border-bottom: 3px solid #F4B860;
        border-bottom-left-radius: 2rem;
        padding: 1rem solid;
        background-color: #403D39;
        border-top: 0.1rem solid #403D39;
    }

    nav.active{
        display: block;
    }

    nav a{
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
        color: #ECE5F0;
    }

    nav a:hover,
    nav a.active{
        padding: 1rem;
        border-radius: 0.5rem;
        border-bottom: 0.5rem solid #F4B860;
    }


}*/

section{
    min-height: 100vh;
    padding: 5rem 9% 5rem;
}

.home{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8rem;
    background-color: #252422;
}

.home .home-content h1{
    font-size: 6rem;
    font-weight: 700;
    line-height: 1.3;
    font-family: "futura-pt", sans-serif;
}

span{
    color: #F4B860;
    font-family: "futura-pt", sans-serif;
}

.home-content h3{
    font-size: 4rem;
    margin-bottom: 1rem;
    font-weight: 700;
}

.home-content p{
    font-size: 2rem;
}

.home-img{
    border-radius: 50%;
}

.home-img img{
    position: relative;
    width: 32vw;
    box-shadow: 0 0 25px solid #F4B860;
    cursor: pointer;
    transition: 0.2s linear;
}

.home-img img:hover{
    font-size: 1.8rem;
    font-weight: 500;
}

.social-icons a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background-color: transparent;
    border: 0.2rem solid #F4B860;
    font-size: 2rem;
    border-radius: 50%;
    margin: 3rem 1.5rem 3rem 0;
    transition: 0.3s ease;
    color: #ECE5F0;
}

.social-icons a:hover{
    color: #252422;
    transform: scale(1.3) translateY(-5px);
    background-color: #BB4D00;
    box-shadow: 0 0 25px #BB4D00;
}

.btn{
    display: inline-block;
    padding: 1rem 2.8rem;
    background-color: #252422;
    border-radius: 4rem;
    font-size: 1.6rem;
    color: #ECE5F0;
    letter-spacing: 0.3rem;
    font-weight: 600;
    border: 2px solid #F4B860;
    transition: 0.3s ease;
    cursor: pointer;
}

.btn:hover{
    transform: scale3d(1.03);
    background-color: #BB4D00;
    color: #252422;
    box-shadow: 0 0 25px #BB4D00;
}

.typing-text{
    font-size: 34px;
    font-weight: 600;
    min-width: 280px;
    font-family: "futura-pt", sans-serif;
}

.typing-text span{
    position: relative;
}

.typing-text span::before{
    content: "animator";
    color: #F4B860;
    animation: words 20s infinite;
}

.typing-text span::after{
    content: "";
    background-color: #252422;
    position: absolute;
    width: calc(100% + 8px);
    height: 100%;
    border-left: 3px solid #252422;
    right: -8;
    animation: cursor 0.6s infinite;

}

@keyframes cursor{
    to{
        border-left: 3px solid #F4B860;
    }
}

/*@keyframes words{
    0%, 20%{
        content: "animator";
    }
}*/

@media (max-width: 1000px){
    .home{
        gap: 4rem;
    }
}

@media (max-width: 995px){
    .home{
        flex-direction: column;
        margin: 5rem 4rem;
    }

    .home .home-content h3{
        font-size: 2.5rem;
    }

    .home-content h1{
        font-size: 5rem;
    }

    .home-img img{
        width: 70vw;
        margin-top: 4rem;
    }
}

/*RESPONSIBLE FOR WORK PAGE*/
.portfolio{
    margin-top: 10rem;
    font-size: 3rem;
    color: #F4B860;
}

.portfolio video{
    margin-top: 3rem;
    width: 80vw;
}

.verticalVid video{
    width: 40vw;
}

.verticalVid span{
    float: right;
}

.portfolio img{
    width: 80vw;
}

/*RESPONSIBLE FOR SKILLS*/
.skill-content{
    margin-top: 7rem;
    font-size: 2rem;
}

.skill-title{
    margin-top: 3rem;
    font-size: 4rem;
    color: #F4B860;
}

/*RESPONSIBLE FOR EDUCATION PAGE*/
.education{
    margin-top: 10rem;
    font-size: 4rem;
    color: #F4B860;
}

.tim-pic img{
    margin-top: 2rem;
    margin-right: 2%;
    width: 40vh;
    float: left;
}

.education-content{
    font-size: 3rem;
    color: #ECE5F0;
    display: inline;
}

/*RESPONSIBLE FOR CONTACTS PAGE*/
.contactDetails{
    margin-top: 10rem;
    font-size: 3rem;
    color: #F4B860;
}

.contactDetails h2{
    margin-top: 5rem;
    font-size: 2.5rem;
    color: #ECE5F0;
}

.contactDetails h3{
    margin-top: 2.5rem;
    font-size: 2.5rem;
    color: #ECE5F0;
}